import whisper

class Transcriber:

    model = None

    def __init__(self):
        self.model = whisper.load_model("base")

    def execute(self, audio_file):
        print("Transcribing audio file: " + audio_file)
        result = self.model.transcribe(audio_file)
        return result['text']
